import {getAllRoleList} from '@/api/system/role/role';
import { BasicColumn, FormSchema } from '@/components/Table';
import {h} from "vue";
import {Tag} from "ant-design-vue";
import { Switch } from 'ant-design-vue';
import {useMessage} from "@/hooks/web/useMessage";
import {changeFlagApi} from "@/api/system/user/user"; // 引入开关组件
type CheckedType = boolean | string | number;

export const columns: BasicColumn[] = [
  {
    title: '姓名',
    dataIndex: 'name',
    width: 150,
  },
  {
    title: '登录名',
    dataIndex: 'username',
    width: 150,
  },
  {
    title: '用户角色',
    dataIndex: 'roleName',
    width: 150,
  },
  {
    title: '创建时间',
    dataIndex: 'createDate',
    width: 150,
  },
];

export const searchFormSchema: FormSchema[] = [
  {
    field: 'name',
    label: '姓名',
    component: 'Input',
    componentProps: {
      placeholder: '请输入姓名',
    },
    colProps: { span: 7 },
  },
  {
    field: 'username',
    label: '登录名',
    component: 'Input',
    componentProps: {
      placeholder: '请输入登录名',
    },
    colProps: { span: 7 },
  },
];

export const TreeData: any[] = [
  {
    "delFlag" : "0",
    "flag" : "1",
    "businessId" : 100,
    "fileName" : "任务流",
    "anotherName" : "任务流",
    "parentId" : 0,
    "code:": "001",
    "ancestors" : "0",
    "orderNum" : 0,
    "selectType" : null,
    "location":"/任务流",
    "holder":"admin",
    "createDate": "2024-10-24 10:04:04",
    "updateDate": "2024-10-24 10:04:04",
    icon:'ant-design:partition-outlined'
  },
  {
    "delFlag" : "0",
    "flag" : "1",
    "businessId" : 101,
    "fileName" : "典型案例",
    "anotherName" : "典型案例",
    "parentId" : 100,
    "code:": "002",
    "ancestors" : "0,100",
    "orderNum" : 1,
    "selectType" : null,
    "location":"/任务流/典型案例",
    "holder":"admin",
    "createDate": "2024-10-24 10:04:04",
    "updateDate": "2024-10-24 10:04:04",
    icon:'ant-design:folder-open-outlined'
  },
  {
    "delFlag" : "0",
    "flag" : "1",
    "businessId" : 107,
    "fileName" : "个人体验",
    "anotherName" : "个人体验",
    "parentId" : 100,
    "code:": "003",
    "ancestors" : "0,100",
    "orderNum" : 2,
    "selectType" : null,
    "location":"/任务流/个人体验",
    "holder":"admin",
    "createDate": "2024-10-24 10:04:04",
    "updateDate": "2024-10-24 10:04:04",
    icon:'ant-design:folder-open-outlined'
  },
  {
    "delFlag" : "0",
    "flag" : "1",
    "businessId" : 201,
    "fileName" : "总-智慧财务总体流程",
    "anotherName" : "总-智慧财务总体流程",
    "parentId" : 101,
    "code:": "005",
    "ancestors" : "0,100,101",
    "orderNum" : 2,
    "selectType" : null,
    "location":"/任务流/典型案例/总-智慧财务总体流程",
    "holder":"admin",
    "createDate": "2024-10-22 8:04:04",
    "updateDate": "2024-10-22 8:04:04",
    icon:'ant-design:partition-outlined'
  },
  {
    "delFlag" : "0",
    "flag" : "1",
    "businessId" : 202,
    "fileName" : "分-落地区",
    "anotherName" : "分-落地区",
    "parentId" : 101,
    "code:": "006",
    "ancestors" : "0,100,101",
    "orderNum" : 3,
    "selectType" : null,
    "location":"/任务流/典型案例/分-落地区",
    "holder":"admin",
    "createDate": "2024-10-21 9:04:04",
    "updateDate": "2024-10-21 9:04:04",
    icon:'ant-design:partition-outlined'
  },
  {
    "delFlag" : "0",
    "flag" : "1",
    "businessId" : 203,
    "fileName" : "分-改良区",
    "anotherName" : "分-改良区",
    "parentId" : 101,
    "code:": "008",
    "ancestors" : "0,100,101",
    "orderNum" : 5,
    "selectType" : null,
    "location":"/任务流/典型案例/分-改良区",
    "holder":"admin",
    "createDate": "2024-10-23 12:04:04",
    "updateDate": "2024-10-23 12:04:04",
    icon:'ant-design:partition-outlined'
  },
  {
    "delFlag" : "0",
    "flag" : "1",
    "businessId" : 204,
    "fileName" : "分-个人体验1",
    "anotherName" : "分-个人体验1",
    "parentId" : 107,
    "code:": "009",
    "ancestors" : "0,100,107",
    "orderNum" : 1,
    "selectType" : null,
    "location":"/任务流/典型案例/分-个人体验1",
    "holder":"admin",
    "createDate": "2024-10-24 13:04:04",
    "updateDate": "2024-10-24 13:04:04",
    icon:'ant-design:partition-outlined'
  },
  {
    "delFlag" : "0",
    "flag" : "0",
    "businessId" : 205,
    "fileName" : "分-个人体验2",
    "anotherName" : "分-个人体验2",
    "parentId" : 107,
    "code:": "010",
    "ancestors" : "0,100,107",
    "orderNum" : 2,
    "selectType" : null,
    "location":"/任务流/典型案例/分-个人体验2",
    "holder":"admin",
    "createDate": "2024-10-24 14:04:04",
    "updateDate": "2024-10-25 14:04:04",
    icon:'ant-design:partition-outlined'
  },
];
export const DetailTreeData: any[] = [
  {
    "delFlag" : "0",
    "flag" : "1",
    "businessId" : 100,
    "fileName" : "任务",
    "parentId" : 0,
    "code:": "001",
    "ancestors" : "0",
    "orderNum" : 0,
    // "children" : [ ],
    "selectType" : null,
    "fileSize": '1024KB',
    "location":"位置1",
    "holder":"admin",
    "createDate": "2024-10-24 10:04:04",
    "updateDate": "2024-10-24 10:04:04",
  },
  {
    "delFlag" : "0",
    "flag" : "1",
    "businessId" : 101,
    "fileName" : "代码文件",
    "parentId" : 100,
    "code:": "002",
    "ancestors" : "0,100",
    "orderNum" : 1,
    // "children" : [ ],
    "selectType" : null,
    "fileSize": '1024KB',
    "location":"位置1",
    "holder":"admin",
    "createDate": "2024-10-24 10:04:04",
    "updateDate": "2024-10-24 10:04:04",
  },
  {
    "delFlag" : "0",
    "flag" : "1",
    "businessId" : 102,
    "fileName" : "数据处理",
    "parentId" : 100,
    "code:": "003",
    "ancestors" : "0,100",
    "orderNum" : 2,
    // "children" : [ ],
    "selectType" : null,
    "fileSize": '1024KB',
    "location":"位置1",
    "holder":"admin",
    "createDate": "2024-10-24 10:04:04",
    "updateDate": "2024-10-24 10:04:04",
  },
  {
    "delFlag" : "0",
    "flag" : "1",
    "businessId" : 103,
    "fileName" : "任务流",
    "parentId" : 100,
    "code:": "003",
    "ancestors" : "0,100",
    "orderNum" : 2,
    // "children" : [ ],
    "selectType" : null,
    "fileSize": '1024KB',
    "location":"位置1",
    "holder":"admin",
    "createDate": "2024-10-24 10:04:04",
    "updateDate": "2024-10-24 10:04:04",
  },
  {
    "delFlag" : "0",
    "flag" : "1",
    "businessId" : 401,
    "fileName" : "脚本",
    "parentId" : 101,
    "code:": "002",
    "ancestors" : "0,100,101",
    "orderNum" : 1,
    // "children" : [ ],
    "selectType" : null,
    "fileSize": '1024KB',
    "location":"位置1",
    "holder":"admin",
    "createDate": "2024-10-24 10:04:04",
    "updateDate": "2024-10-24 10:04:04",
  },
  {
    "delFlag" : "0",
    "flag" : "1",
    "businessId" : 402,
    "fileName" : "SQL",
    "parentId" : 101,
    "code:": "002",
    "ancestors" : "0,100,101",
    "orderNum" : 1,
    // "children" : [ ],
    "selectType" : null,
    "fileSize": '1024KB',
    "location":"位置1",
    "holder":"admin",
    "createDate": "2024-10-24 10:04:04",
    "updateDate": "2024-10-24 10:04:04",
  },
  {
    "delFlag" : "0",
    "flag" : "1",
    "businessId" : 403,
    "fileName" : "数据加载",
    "parentId" : 102,
    "code:": "002",
    "ancestors" : "0,100,102",
    "orderNum" : 1,
    // "children" : [ ],
    "selectType" : null,
    "fileSize": '1024KB',
    "location":"位置1",
    "holder":"admin",
    "createDate": "2024-10-24 10:04:04",
    "updateDate": "2024-10-24 10:04:04",
  },
  {
    "delFlag" : "0",
    "flag" : "1",
    "businessId" : 404,
    "fileName" : "数据同步",
    "parentId" : 102,
    "code:": "002",
    "ancestors" : "0,100,102",
    "orderNum" : 1,
    // "children" : [ ],
    "selectType" : null,
    "fileSize": '1024KB',
    "location":"位置1",
    "holder":"admin",
    "createDate": "2024-10-24 10:04:04",
    "updateDate": "2024-10-24 10:04:04",
  },
  {
    "delFlag" : "0",
    "flag" : "1",
    "businessId" : 405,
    "fileName" : "数据质量",
    "parentId" : 102,
    "code:": "002",
    "ancestors" : "0,100,102",
    "orderNum" : 1,
    // "children" : [ ],
    "selectType" : null,
    "fileSize": '1024KB',
    "location":"位置1",
    "holder":"admin",
    "createDate": "2024-10-24 10:04:04",
    "updateDate": "2024-10-24 10:04:04",
  },
  {
    "delFlag" : "0",
    "flag" : "1",
    "businessId" : 406,
    "fileName" : "嵌套任务流",
    "parentId" : 103,
    "code:": "002",
    "ancestors" : "0,100,103",
    "orderNum" : 1,
    // "children" : [ ],
    "selectType" : null,
    "fileSize": '1024KB',
    "location":"位置1",
    "holder":"admin",
    "createDate": "2024-10-24 10:04:04",
    "updateDate": "2024-10-24 10:04:04",
  },
];
export const fileData: any[] = [
    {
      "delFlag" : "0",
      "flag" : "1",
      "businessId" : 300,
      "username" : "file1",
      "nickName" : "测试文件流1",
      "name" : "测试文件流1",
      "fileSize": 1024,
      "holder":"admin",
      "createDate": "2024-10-24 10:04:04",
      "updateDate": "2024-10-24 10:04:04",
      "institutionId" : 105,
      "institutionName" : "财务部门",
      "menuList" : [ ]
    },
    {
      "delFlag" : "0",
      "flag" : "1",
      "businessId" : 301,
      "username" : "file2",
      "nickName" : "测试文件流2",
      "name" : "测试文件流2",
      "fileSize": 1024,
      "holder":"admin",
      "createDate": "2024-10-24 10:04:04",
      "updateDate": "2024-10-24 10:04:04",
      "institutionId" : 105,
      "institutionName" : "财务部门",
      "menuList" : [ ]
    },
    {
      "delFlag" : "0",
      "flag" : "1",
      "businessId" : 302,
      "username" : "file3",
      "nickName" : "测试文件流3",
      "name" : "测试文件流3",
      "fileSize": 1024,
      "holder":"admin",
      "createDate": "2024-10-24 10:04:04",
      "updateDate": "2024-10-24 10:04:04",
      "institutionId" : 105,
      "institutionName" : "财务部门",
      "menuList" : [ ]
    },
    {
      "delFlag" : "0",
      "flag" : "1",
      "businessId" : 303,
      "username" : "file4",
      "nickName" : "测试文件流4",
      "name" : "测试文件流4",
      "fileSize": 1024,
      "holder":"admin",
      "createDate": "2024-10-24 10:04:04",
      "updateDate": "2024-10-24 10:04:04",
      "institutionId" : 105,
      "institutionName" : "财务部门",
      "menuList" : [ ]
    },

];

export const addUserData: any[] = [
  {
    "delFlag" : "0",
    "flag" : "1",
    "businessId" : 400,
    "username" : "tianjia1",
    "nickName" : "添加用户1",
    "userType" : "1",
    "name" : "添加用户1",
    "roleName":"工作区访客",
    "createDate": "2024-10-24 10:04:04",
    "institutionId" : null,
    "institutionName" : "",
    "code":"123f",
    "identity" : "1",
    "roleIds" : null,
    "roleNames" : "三级用户",
    "roleList" : null,
    "menuList" : [ ]
  },
  {
    "delFlag" : "0",
    "flag" : "1",
    "businessId" : 402,
    "username" : "tianjia2",
    "nickName" : "添加用户2",
    "userType" : "1",
    "name" : "添加用户2",
    "roleName":"工作区访客",
    "createDate": "2024-10-25 10:05:05",
    "sex" : "0",
    "institutionId" : null,
    "institutionName" : "",
    "code":"123a",
    "identity" : "1",
    "roleIds" : null,
    "roleNames" : null,
    "roleList" : null,
    "menuList" : [ ]
  },
  {
    "delFlag": "0",
    "flag": "1",
    "businessId": 403,
    "username": "tianjia3",
    "nickName": "添加用户3",
    "userType": "1",
    "name": "添加用户3",
    "roleName":"工作区访客",
    "createDate": "2024-10-26 10:06:06",
    "sex": "1",
    "institutionId": null,
    "institutionName" : "",
    "code":"123c",
    "identity": "1",
    "roleIds": null,
    "roleNames": "超级管理员",
    "roleList": null,
    "menuList": []
  },
];

export const accountFormSchema: any[] = [

];
